net.snowflake.client.jdbc.cloud.storage

## Class GcsObjectSummariesIterator

- java.lang.Object
- - net.snowflake.client.jdbc.cloud.storage.GcsObjectSummariesIterator

All Implemented Interfaces:
  Iterator<StorageObjectSummary>

    public class GcsObjectSummariesIterator
    extends Object
    implements Iterator<StorageObjectSummary>

Iterator class for ObjectSummary objects on GCS objects. Returns platform-independent instances (StorageObjectSummary)

Author:
  ppaulus

### Constructor Summary

Constructors
Constructor and Description
`GcsObjectSummariesIterator(com.google.api.gax.paging.Page<com.google.cloud.storage.Blob> blobs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`StorageObjectSummary` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Constructor Detail

#### GcsObjectSummariesIterator

    public GcsObjectSummariesIterator(com.google.api.gax.paging.Page<com.google.cloud.storage.Blob> blobs)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<StorageObjectSummary>`

#### next

    public StorageObjectSummary next()

Specified by:
  `next` in interface `Iterator<StorageObjectSummary>`